NIMPRETTY(1)

NAME
nimpretty - Nimpretty

DESCRIPTION
nimpretty - Nim Pretty Printer Version 0.2

    (c) 2017 Andreas Rumpf

  Usage:

    nimpretty [options] nimfiles...

OPTIONS

--out:file
    set the output file (default: overwrite the input file)

--outDir:dir
    set the output dir (default: overwrite the input files)

--stdin
    read input from stdin and write output to stdout

--indent:N[=0]
    set the number of spaces that is used for indentation --indent:0 means autodetection (default behaviour)

--maxLineLen:N
    set the desired maximum line length (default: 80)

--version
    show the version

--help
    show this help

REPORTING BUGS
https://github.com/nim-lang/Nim/issues

SEE ALSO
The nim-doc package.